Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525830 - qmake-utils.eclass: add helper functions
Summary: qmake-utils.eclass: add helper functions
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Highest normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 532962
  Show dependency tree
 
Reported: 2014-10-19 00:52 UTC by Davide Pesavento
Modified: 2015-10-31 15:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qmake-utils-get_qmake.patch (qmake-utils-get_qmake.patch,633 bytes, patch)
2015-02-08 16:27 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2014-10-19 00:52:05 UTC
Such as:

qt5_get_qmake
qt5_get_bindir (or binsdir to follow upstream naming?)
qt5_get_includedir (or headersdir to follow upstream naming?)
qt5_get_datadir
...

Or maybe they should go into a new qt5.eclass?

Probably we need the same set of helpers for qt4.
Comment 1 Michael Palimaka (kensington) gentoo-dev 2015-02-08 16:27:42 UTC
Created attachment 395914 [details, diff]
qmake-utils-get_qmake.patch

Patch adding qt{4,5}_get_qmake.
Comment 2 Davide Pesavento gentoo-dev 2015-02-08 20:21:02 UTC
(In reply to Michael Palimaka (kensington) from comment #1)
> Created attachment 395914 [details, diff] [details, diff]
> qmake-utils-get_qmake.patch
> 
> Patch adding qt{4,5}_get_qmake.

Looks good to me. Make use of the new functions in eqmake{4,5}.
Comment 4 Davide Pesavento gentoo-dev 2015-05-10 15:04:49 UTC
  10 May 2015; Davide Pesavento <pesa@gentoo.org> qmake-utils.eclass:
  Add qt{4,5}_get_{header,mkspecs}dir helper functions, bug 525830.
Comment 5 Davide Pesavento gentoo-dev 2015-10-31 15:24:52 UTC
Let's consider this fixed for now. If additional helpers are needed in the future we can open a new bug.